## acpica-unix 20140214

=== Makefile ===
#
# Common make for acpica tools and utilities
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under top level acpica directory.
# It specifically places all the object files for each tool in separate
# generate/unix subdirectories, not within the various ACPICA source
# code directories. This prevents collisions between different
# compilations of the same source file with different compile options.
#
BUILD_DIRECTORY_PATH = "generate/unix"

include generate/unix/Makefile.config
include generate/unix/Makefile.common

=== tests/aapits/Makefile ===
# PROG=	acpiexec
# SRCS=	aeexec.c aemain.c \

PROG=	bin/aapits
SRCS=	atexec.c atmain.c \
	atinit.c \
	atmemory.c \
	athardware.c \
	attable.c \
	atnamespace.c \
	atresource.c \
	atfixedevent.c \
	atgpe.c \
	athandlers.c \
	atosxfctrl.c \
	atosxfwrap.c \
	osunixxf.c \
	../../source/components/hardware/hwtimer.c \
	../../source/components/hardware/hwvalid.c \
	../../source/components/hardware/hwxface.c \
	../../source/common/getopt.c \
	../../source/components/debugger/dbcmds.c \
	../../source/components/debugger/dbconvert.c \
	../../source/components/debugger/dbdisply.c \
	../../source/components/debugger/dbexec.c \
	../../source/components/debugger/dbfileio.c \
	../../source/components/debugger/dbhistry.c \
	../../source/components/debugger/dbinput.c \
	../../source/components/debugger/dbmethod.c \
	../../source/components/debugger/dbnames.c \
	../../source/components/debugger/dbstats.c \
	../../source/components/debugger/dbtest.c \
	../../source/components/debugger/dbutils.c \
	../../source/components/debugger/dbxface.c \
	../../source/components/disassembler/dmbuffer.c \
	../../source/components/disassembler/dmdeferred.c \
	../../source/components/disassembler/dmnames.c \
	../../source/components/disassembler/dmobject.c \
	../../source/components/disassembler/dmopcode.c \
	../../source/components/disassembler/dmresrc.c \
	../../source/components/disassembler/dmresrcl.c \
	../../source/components/disassembler/dmresrcl2.c \
	../../source/components/disassembler/dmresrcs.c \
	../../source/components/disassembler/dmutils.c \
	../../source/components/disassembler/dmwalk.c \
	../../source/components/events/evevent.c \
	../../source/components/events/evgpe.c \
	../../source/components/events/evgpeblk.c \
	../../source/components/events/evgpeinit.c \
	../../source/components/events/evgpeutil.c \
	../../source/components/events/evglock.c \
	../../source/components/events/evhandler.c \
	../../source/components/events/evmisc.c \
	../../source/components/events/evregion.c \
	../../source/components/events/evrgnini.c \
	../../source/components/events/evsci.c \
	../../source/components/events/evxface.c \
	../../source/components/events/evxfevnt.c \
	../../source/components/events/evxfgpe.c \
	../../source/components/events/evxfregn.c \
	../../source/components/hardware/hwacpi.c \
	../../source/components/hardware/hwesleep.c \
	../../source/components/hardware/hwgpe.c \
	../../source/components/hardware/hwpci.c \
	../../source/components/hardware/hwregs.c \
	../../source/components/hardware/hwsleep.c \
	../../source/components/hardware/hwxfsleep.c \
	../../source/components/dispatcher/dsargs.c \
	../../source/components/dispatcher/dscontrol.c \
	../../source/components/dispatcher/dsfield.c \
	../../source/components/dispatcher/dsinit.c \
	../../source/components/dispatcher/dsmethod.c \
	../../source/components/dispatcher/dsmthdat.c \
	../../source/components/dispatcher/dsobject.c \
	../../source/components/dispatcher/dsopcode.c \
	../../source/components/dispatcher/dsutils.c \
	../../source/components/dispatcher/dswexec.c \
	../../source/components/dispatcher/dswload.c \
	../../source/components/dispatcher/dswload2.c \
	../../source/components/dispatcher/dswscope.c \
	../../source/components/dispatcher/dswstate.c \
	../../source/components/executer/exconfig.c \
	../../source/components/executer/exconvrt.c \
	../../source/components/executer/excreate.c \
	../../source/components/executer/exdump.c \
	../../source/components/executer/exfield.c \
	../../source/components/executer/exfldio.c \
	../../source/components/executer/exdebug.c \
	../../source/components/executer/exmisc.c \
	../../source/components/executer/exmutex.c \
	../../source/components/executer/exnames.c \
	../../source/components/executer/exoparg1.c \
	../../source/components/executer/exoparg2.c \
	../../source/components/executer/exoparg3.c \
	../../source/components/executer/exoparg6.c \
	../../source/components/executer/exprep.c \
	../../source/components/executer/exregion.c \
	../../source/components/executer/exresnte.c \
	../../source/components/executer/exresolv.c \
	../../source/components/executer/exresop.c \
	../../source/components/executer/exstore.c \
	../../source/components/executer/exstoren.c \
	../../source/components/executer/exstorob.c \
	../../source/components/executer/exsystem.c \
	../../source/components/executer/exutils.c \
	../../source/components/parser/psargs.c \
	../../source/components/parser/psloop.c \
	../../source/components/parser/psobject.c \
	../../source/components/parser/psopcode.c \
	../../source/components/parser/psopinfo.c \
	../../source/components/parser/psparse.c \
	../../source/components/parser/psscope.c \
	../../source/components/parser/pstree.c \
	../../source/components/parser/psutils.c \
	../../source/components/parser/pswalk.c \
	../../source/components/parser/psxface.c \
	../../source/components/namespace/nsaccess.c \
	../../source/components/namespace/nsalloc.c \
	../../source/components/namespace/nsarguments.c \
	../../source/components/namespace/nsconvert.c \
	../../source/components/namespace/nsdump.c \
	../../source/components/namespace/nsdumpdv.c \
	../../source/components/namespace/nseval.c \
	../../source/components/namespace/nsinit.c \
	../../source/components/namespace/nsload.c \
	../../source/components/namespace/nsnames.c \
	../../source/components/namespace/nsobject.c \
	../../source/components/namespace/nsparse.c \
	../../source/components/namespace/nspredef.c \
	../../source/components/namespace/nsprepkg.c \
	../../source/components/namespace/nsrepair.c \
	../../source/components/namespace/nsrepair2.c \
	../../source/components/namespace/nssearch.c \
	../../source/components/namespace/nsutils.c \
	../../source/components/namespace/nswalk.c \
	../../source/components/namespace/nsxfeval.c \
	../../source/components/namespace/nsxfname.c \
	../../source/components/namespace/nsxfobj.c \
	../../source/components/resources/rsaddr.c \
	../../source/components/resources/rscalc.c \
	../../source/components/resources/rscreate.c \
	../../source/components/resources/rsdump.c \
	../../source/components/resources/rsdumpinfo.c \
	../../source/components/resources/rsio.c \
	../../source/components/resources/rsirq.c \
	../../source/components/resources/rslist.c \
	../../source/components/resources/rsmemory.c \
	../../source/components/resources/rsmisc.c \
	../../source/components/resources/rsserial.c \
	../../source/components/resources/rsutils.c \
	../../source/components/resources/rsxface.c \
	../../source/components/resources/rsinfo.c \
	../../source/components/tables/tbfadt.c \
	../../source/components/tables/tbfind.c \
	../../source/components/tables/tbinstal.c \
	../../source/components/tables/tbprint.c \
	../../source/components/tables/tbutils.c \
	../../source/components/tables/tbxface.c \
	../../source/components/tables/tbxfload.c \
	../../source/components/tables/tbxfroot.c \
	../../source/components/utilities/utaddress.c \
	../../source/components/utilities/utalloc.c \
	../../source/components/utilities/utbuffer.c \
	../../source/components/utilities/utcache.c \
	../../source/components/utilities/utcopy.c \
	../../source/components/utilities/utdebug.c \
	../../source/components/utilities/utdecode.c \
	../../source/components/utilities/utdelete.c \
	../../source/components/utilities/uterror.c \
	../../source/components/utilities/uteval.c \
	../../source/components/utilities/utexcep.c \
	../../source/components/utilities/utglobal.c \
	../../source/components/utilities/utids.c \
	../../source/components/utilities/utinit.c \
	../../source/components/utilities/utlock.c \
	../../source/components/utilities/utmath.c \
	../../source/components/utilities/utmisc.c \
	../../source/components/utilities/utmutex.c \
	../../source/components/utilities/utobject.c \
	../../source/components/utilities/utosi.c \
	../../source/components/utilities/utownerid.c \
	../../source/components/utilities/utpredef.c \
	../../source/components/utilities/utresrc.c \
	../../source/components/utilities/utstate.c \
	../../source/components/utilities/utstring.c \
	../../source/components/utilities/uttrack.c \
	../../source/components/utilities/utxface.c \
	../../source/components/utilities/utxferror.c \
	../../source/components/utilities/utxfinit.c
#	../../source/components/osunixxf.c


CFLAGS+= -Wall -g -D_LINUX -DNDEBUG -D_CONSOLE -DACPI_EXEC_APP -D_MULTI_THREADED -Wstrict-prototypes -I../../source/include 


acpiexec : $(patsubst %.c,%.o, $(SRCS))
	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) -o $(PROG)

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS))

=== generate/unix/acpidump/Makefile ===
#
# acpidump - ACPI table dump utility (binary to ascii hex)
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpidump
PROG = $(OBJDIR)/acpidump

#
# Search paths for source files
#
vpath %.c \
    $(ACPIDUMP)\
    $(ACPICA_TABLES)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ACPIDUMP)/*.h)

OBJECTS = \
	$(OBJDIR)/apdump.o\
	$(OBJDIR)/apfiles.o\
	$(OBJDIR)/apmain.o\
	$(OBJDIR)/osunixdir.o\
	$(OBJDIR)/osunixmap.o\
	$(OBJDIR)/tbprint.o\
	$(OBJDIR)/tbxfroot.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/utxferror.o\
	$(OBJDIR)/getopt.o

#
# Per-host interfaces
#
ifeq ($(HOST), _FreeBSD)
OBJECTS += \
	$(OBJDIR)/osfreebsdtbl.o
else
OBJECTS += \
	$(OBJDIR)/oslinuxtbl.o
endif

#
# Flags specific to acpidump
#
CFLAGS += \
    -DACPI_DUMP_APP\
    -I$(ACPIDUMP)

#
# Common Rules
#
include ../Makefile.rules

=== generate/unix/acpiexec/Makefile ===
#
# acpiexec: ACPI execution simulator. Runs ACPICA code in user
# space. Loads ACPI tables, displays the namespace, and allows
# execution of control methods.
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpiexec
PROG = $(OBJDIR)/acpiexec

#
# Search paths for source files
#
vpath %.c \
    $(ACPIEXEC)\
    $(ACPICA_DEBUGGER)\
    $(ACPICA_DISASSEMBLER)\
    $(ACPICA_DISPATCHER)\
    $(ACPICA_EVENTS)\
    $(ACPICA_EXECUTER)\
    $(ACPICA_HARDWARE)\
    $(ACPICA_NAMESPACE)\
    $(ACPICA_PARSER)\
    $(ACPICA_RESOURCES)\
    $(ACPICA_TABLES)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ACPIEXEC)/*.h)

OBJECTS = \
	$(OBJDIR)/acgetline.o\
	$(OBJDIR)/aeexec.o\
	$(OBJDIR)/aehandlers.o\
	$(OBJDIR)/aemain.o\
	$(OBJDIR)/aetables.o\
	$(OBJDIR)/dbcmds.o\
	$(OBJDIR)/dbconvert.o\
	$(OBJDIR)/dbdisply.o\
	$(OBJDIR)/dbexec.o\
	$(OBJDIR)/dbfileio.o\
	$(OBJDIR)/dbhistry.o\
	$(OBJDIR)/dbinput.o\
	$(OBJDIR)/dbmethod.o\
	$(OBJDIR)/dbnames.o\
	$(OBJDIR)/dbstats.o\
	$(OBJDIR)/dbtest.o\
	$(OBJDIR)/dbutils.o\
	$(OBJDIR)/dbxface.o\
	$(OBJDIR)/dmbuffer.o\
	$(OBJDIR)/dmdeferred.o\
	$(OBJDIR)/dmnames.o\
	$(OBJDIR)/dmobject.o\
	$(OBJDIR)/dmopcode.o\
	$(OBJDIR)/dmresrc.o\
	$(OBJDIR)/dmresrcl.o\
	$(OBJDIR)/dmresrcl2.o\
	$(OBJDIR)/dmresrcs.o\
	$(OBJDIR)/dmutils.o\
	$(OBJDIR)/dmwalk.o\
	$(OBJDIR)/dsargs.o\
	$(OBJDIR)/dscontrol.o\
	$(OBJDIR)/dsfield.o\
	$(OBJDIR)/dsinit.o\
	$(OBJDIR)/dsmethod.o\
	$(OBJDIR)/dsmthdat.o\
	$(OBJDIR)/dsobject.o\
	$(OBJDIR)/dsopcode.o\
	$(OBJDIR)/dsutils.o\
	$(OBJDIR)/dswexec.o\
	$(OBJDIR)/dswload.o\
	$(OBJDIR)/dswload2.o\
	$(OBJDIR)/dswscope.o\
	$(OBJDIR)/dswstate.o\
	$(OBJDIR)/evevent.o\
	$(OBJDIR)/evglock.o\
	$(OBJDIR)/evgpe.o\
	$(OBJDIR)/evgpeblk.o\
	$(OBJDIR)/evgpeinit.o\
	$(OBJDIR)/evgpeutil.o\
	$(OBJDIR)/evhandler.o\
	$(OBJDIR)/evmisc.o\
	$(OBJDIR)/evregion.o\
	$(OBJDIR)/evrgnini.o\
	$(OBJDIR)/evsci.o\
	$(OBJDIR)/evxface.o\
	$(OBJDIR)/evxfevnt.o\
	$(OBJDIR)/evxfgpe.o\
	$(OBJDIR)/evxfregn.o\
	$(OBJDIR)/exconfig.o\
	$(OBJDIR)/exconvrt.o\
	$(OBJDIR)/excreate.o\
	$(OBJDIR)/exdebug.o\
	$(OBJDIR)/exdump.o\
	$(OBJDIR)/exfield.o\
	$(OBJDIR)/exfldio.o\
	$(OBJDIR)/exmisc.o\
	$(OBJDIR)/exmutex.o\
	$(OBJDIR)/exnames.o\
	$(OBJDIR)/exoparg1.o\
	$(OBJDIR)/exoparg2.o\
	$(OBJDIR)/exoparg3.o\
	$(OBJDIR)/exoparg6.o\
	$(OBJDIR)/exprep.o\
	$(OBJDIR)/exregion.o\
	$(OBJDIR)/exresnte.o\
	$(OBJDIR)/exresolv.o\
	$(OBJDIR)/exresop.o\
	$(OBJDIR)/exstore.o\
	$(OBJDIR)/exstoren.o\
	$(OBJDIR)/exstorob.o\
	$(OBJDIR)/exsystem.o\
	$(OBJDIR)/exutils.o\
	$(OBJDIR)/getopt.o\
	$(OBJDIR)/hwacpi.o\
	$(OBJDIR)/hwesleep.o\
	$(OBJDIR)/hwgpe.o\
	$(OBJDIR)/hwpci.o\
	$(OBJDIR)/hwregs.o\
	$(OBJDIR)/hwsleep.o\
	$(OBJDIR)/hwvalid.o\
	$(OBJDIR)/hwxface.o\
	$(OBJDIR)/hwxfsleep.o\
	$(OBJDIR)/nsaccess.o\
	$(OBJDIR)/nsalloc.o\
	$(OBJDIR)/nsarguments.o\
	$(OBJDIR)/nsconvert.o\
	$(OBJDIR)/nsdump.o\
	$(OBJDIR)/nsdumpdv.o\
	$(OBJDIR)/nseval.o\
	$(OBJDIR)/nsinit.o\
	$(OBJDIR)/nsload.o\
	$(OBJDIR)/nsnames.o\
	$(OBJDIR)/nsobject.o\
	$(OBJDIR)/nsparse.o\
	$(OBJDIR)/nspredef.o\
	$(OBJDIR)/nsprepkg.o\
	$(OBJDIR)/nsrepair.o\
	$(OBJDIR)/nsrepair2.o\
	$(OBJDIR)/nssearch.o\
	$(OBJDIR)/nsutils.o\
	$(OBJDIR)/nswalk.o\
	$(OBJDIR)/nsxfeval.o\
	$(OBJDIR)/nsxfname.o\
	$(OBJDIR)/nsxfobj.o\
	$(OBJDIR)/osunixxf.o\
	$(OBJDIR)/psargs.o\
	$(OBJDIR)/psloop.o\
	$(OBJDIR)/psobject.o\
	$(OBJDIR)/psopcode.o\
	$(OBJDIR)/psopinfo.o\
	$(OBJDIR)/psparse.o\
	$(OBJDIR)/psscope.o\
	$(OBJDIR)/pstree.o\
	$(OBJDIR)/psutils.o\
	$(OBJDIR)/pswalk.o\
	$(OBJDIR)/psxface.o\
	$(OBJDIR)/rsaddr.o\
	$(OBJDIR)/rscalc.o\
	$(OBJDIR)/rscreate.o\
	$(OBJDIR)/rsdump.o\
	$(OBJDIR)/rsdumpinfo.o\
	$(OBJDIR)/rsinfo.o\
	$(OBJDIR)/rsio.o\
	$(OBJDIR)/rsirq.o\
	$(OBJDIR)/rslist.o\
	$(OBJDIR)/rsmemory.o\
	$(OBJDIR)/rsmisc.o\
	$(OBJDIR)/rsserial.o\
	$(OBJDIR)/rsutils.o\
	$(OBJDIR)/rsxface.o\
	$(OBJDIR)/tbfadt.o\
	$(OBJDIR)/tbfind.o\
	$(OBJDIR)/tbinstal.o\
	$(OBJDIR)/tbprint.o\
	$(OBJDIR)/tbutils.o\
	$(OBJDIR)/tbxface.o\
	$(OBJDIR)/tbxfload.o\
	$(OBJDIR)/tbxfroot.o\
	$(OBJDIR)/utaddress.o\
	$(OBJDIR)/utalloc.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utcache.o\
	$(OBJDIR)/utcopy.o\
	$(OBJDIR)/utdebug.o\
	$(OBJDIR)/utdecode.o\
	$(OBJDIR)/utdelete.o\
	$(OBJDIR)/uterror.o\
	$(OBJDIR)/uteval.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utglobal.o\
	$(OBJDIR)/utids.o\
	$(OBJDIR)/utinit.o\
	$(OBJDIR)/utlock.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utmisc.o\
	$(OBJDIR)/utmutex.o\
	$(OBJDIR)/utobject.o\
	$(OBJDIR)/utosi.o\
	$(OBJDIR)/utownerid.o\
	$(OBJDIR)/utpredef.o\
	$(OBJDIR)/utresrc.o\
	$(OBJDIR)/utstate.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/uttrack.o\
	$(OBJDIR)/utxface.o\
	$(OBJDIR)/utxferror.o\
	$(OBJDIR)/utxfinit.o\
	$(OBJDIR)/utxfmutex.o

#
# Flags specific to acpiexec utility
#
CFLAGS += \
    -DACPI_EXEC_APP\
    -I$(ACPIEXEC)

ifeq ($(ASLTS),TRUE)
CFLAGS += \
    -DACPI_CHECKSUM_ABORT=TRUE
endif

LDFLAGS += -lpthread

ifneq ($(HOST),_APPLE)
LDFLAGS += -lrt
endif

#
# Common Rules
#
include ../Makefile.rules

=== generate/unix/acpihelp/Makefile ===
#
# acpihelp - ACPI Help utility. Displays ASL operator syntax and
# information about ACPI predefined names.
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpihelp
PROG = $(OBJDIR)/acpihelp

#
# Search paths for source files
#
vpath %.c \
    $(ACPIHELP)\
    $(ACPICA_COMMON)\
    $(ACPICA_UTILITIES)

HEADERS = \
    $(wildcard $(ACPIHELP)/*.h)

OBJECTS = \
	$(OBJDIR)/ahamlops.o\
	$(OBJDIR)/ahaslkey.o\
	$(OBJDIR)/ahaslops.o\
	$(OBJDIR)/ahdecode.o\
	$(OBJDIR)/ahpredef.o\
	$(OBJDIR)/ahmain.o\
	$(OBJDIR)/getopt.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utpredef.o

#
# Flags specific to acpihelp
#
CFLAGS += \
    -DACPI_HELP_APP\
    -I$(ACPIHELP)

#
# Common Rules
#
include ../Makefile.rules

=== generate/unix/acpisrc/Makefile ===
#
# acpisrc - ACPICA source code conversion utility
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpisrc
PROG = $(OBJDIR)/acpisrc

#
# Search path for source files and individual source files
#
vpath %.c \
    $(ACPISRC)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ACPISRC)/*.h)

OBJECTS = \
    $(OBJDIR)/ascase.o\
    $(OBJDIR)/asconvrt.o\
    $(OBJDIR)/asfile.o\
    $(OBJDIR)/asmain.o\
    $(OBJDIR)/asremove.o\
    $(OBJDIR)/astable.o\
    $(OBJDIR)/asutils.o\
    $(OBJDIR)/osunixdir.o\
    $(OBJDIR)/getopt.o

#
# Compile flags specific to acpisrc
#
CFLAGS += \
    -DACPI_SRC_APP\
    -I$(ACPISRC)

#
# Common Rules
#
include ../Makefile.rules

=== generate/unix/acpixtract/Makefile ===
#
# acpixtract - extract binary ACPI tables from acpidump text output
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpixtract
PROG = $(OBJDIR)/acpixtract

#
# Search paths for source files
#
vpath %.c \
    $(ACPIXTRACT)\
    $(ACPICA_COMMON)

HEADERS = \
    $(wildcard $(ACPIXTRACT)/*.h)

OBJECTS = \
    $(OBJDIR)/acpixtract.o\
    $(OBJDIR)/axmain.o\
    $(OBJDIR)/getopt.o

#
# Flags specific to acpixtract
#
CFLAGS += \
    -DACPI_XTRACT_APP

#
# Common Rules
#
include ../Makefile.rules

=== generate/unix/iasl/Makefile ===
#
# iASL compiler/disassembler
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/iasl
PROG = $(OBJDIR)/iasl

#
# Search paths for source files
#
vpath %.c \
    $(ASL_COMPILER)\
    $(ACPICA_DEBUGGER)\
    $(ACPICA_DISASSEMBLER)\
    $(ACPICA_DISPATCHER)\
    $(ACPICA_EXECUTER)\
    $(ACPICA_NAMESPACE)\
    $(ACPICA_PARSER)\
    $(ACPICA_TABLES)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ASL_COMPILER)/*.h)\
    $(OBJDIR)/aslcompiler.y.h\
    $(OBJDIR)/dtparser.y.h\
    $(OBJDIR)/prparser.y.h

OBJECTS = \
	$(OBJDIR)/aslcompilerlex.o\
	$(OBJDIR)/aslcompilerparse.o\
	$(OBJDIR)/dtparserlex.o\
	$(OBJDIR)/dtparserparse.o\
	$(OBJDIR)/prparserlex.o\
	$(OBJDIR)/prparserparse.o\
	$(OBJDIR)/adfile.o\
	$(OBJDIR)/adisasm.o\
	$(OBJDIR)/adwalk.o\
	$(OBJDIR)/ahpredef.o\
	$(OBJDIR)/aslanalyze.o\
	$(OBJDIR)/aslbtypes.o\
	$(OBJDIR)/aslcodegen.o\
	$(OBJDIR)/aslcompile.o\
	$(OBJDIR)/aslerror.o\
	$(OBJDIR)/aslfiles.o\
	$(OBJDIR)/aslfileio.o\
	$(OBJDIR)/aslfold.o\
	$(OBJDIR)/aslhex.o\
	$(OBJDIR)/asllength.o\
	$(OBJDIR)/asllisting.o\
	$(OBJDIR)/asllistsup.o\
	$(OBJDIR)/aslload.o\
	$(OBJDIR)/asllookup.o\
	$(OBJDIR)/aslmain.o\
	$(OBJDIR)/aslmap.o\
	$(OBJDIR)/aslmethod.o\
	$(OBJDIR)/aslnamesp.o\
	$(OBJDIR)/asloffset.o\
	$(OBJDIR)/aslopcodes.o\
	$(OBJDIR)/asloperands.o\
	$(OBJDIR)/aslopt.o\
	$(OBJDIR)/asloptions.o\
	$(OBJDIR)/aslpredef.o\
	$(OBJDIR)/aslprepkg.o\
	$(OBJDIR)/aslresource.o\
	$(OBJDIR)/aslrestype1.o\
	$(OBJDIR)/aslrestype1i.o\
	$(OBJDIR)/aslrestype2.o\
	$(OBJDIR)/aslrestype2d.o\
	$(OBJDIR)/aslrestype2e.o\
	$(OBJDIR)/aslrestype2q.o\
	$(OBJDIR)/aslrestype2s.o\
	$(OBJDIR)/aslrestype2w.o\
	$(OBJDIR)/aslstartup.o\
	$(OBJDIR)/aslstubs.o\
	$(OBJDIR)/asltransform.o\
	$(OBJDIR)/asltree.o\
	$(OBJDIR)/aslutils.o\
	$(OBJDIR)/asluuid.o\
	$(OBJDIR)/aslwalks.o\
	$(OBJDIR)/aslxref.o\
	$(OBJDIR)/dtcompile.o\
	$(OBJDIR)/dtexpress.o\
	$(OBJDIR)/dtfield.o\
	$(OBJDIR)/dtio.o\
	$(OBJDIR)/dtsubtable.o\
	$(OBJDIR)/dttable.o\
	$(OBJDIR)/dttemplate.o\
	$(OBJDIR)/dtutils.o\
	$(OBJDIR)/dbfileio.o\
	$(OBJDIR)/dmbuffer.o\
	$(OBJDIR)/dmdeferred.o\
	$(OBJDIR)/dmextern.o\
	$(OBJDIR)/dmnames.o\
	$(OBJDIR)/dmobject.o\
	$(OBJDIR)/dmopcode.o\
	$(OBJDIR)/dmresrc.o\
	$(OBJDIR)/dmresrcl.o\
	$(OBJDIR)/dmresrcl2.o\
	$(OBJDIR)/dmresrcs.o\
	$(OBJDIR)/dmrestag.o\
	$(OBJDIR)/dmtable.o\
	$(OBJDIR)/dmtbdump.o\
	$(OBJDIR)/dmtbinfo.o\
	$(OBJDIR)/dmutils.o\
	$(OBJDIR)/dmwalk.o\
	$(OBJDIR)/dsargs.o\
	$(OBJDIR)/dscontrol.o\
	$(OBJDIR)/dsfield.o\
	$(OBJDIR)/dsobject.o\
	$(OBJDIR)/dsopcode.o\
	$(OBJDIR)/dsutils.o\
	$(OBJDIR)/dswexec.o\
	$(OBJDIR)/dswload.o\
	$(OBJDIR)/dswload2.o\
	$(OBJDIR)/dswscope.o\
	$(OBJDIR)/dswstate.o\
	$(OBJDIR)/exconvrt.o\
	$(OBJDIR)/excreate.o\
	$(OBJDIR)/exdump.o\
	$(OBJDIR)/exmisc.o\
	$(OBJDIR)/exmutex.o\
	$(OBJDIR)/exnames.o\
	$(OBJDIR)/exoparg1.o\
	$(OBJDIR)/exoparg2.o\
	$(OBJDIR)/exoparg3.o\
	$(OBJDIR)/exoparg6.o\
	$(OBJDIR)/exprep.o\
	$(OBJDIR)/exregion.o\
	$(OBJDIR)/exresnte.o\
	$(OBJDIR)/exresolv.o\
	$(OBJDIR)/exresop.o\
	$(OBJDIR)/exstore.o\
	$(OBJDIR)/exstoren.o\
	$(OBJDIR)/exstorob.o\
	$(OBJDIR)/exsystem.o\
	$(OBJDIR)/exutils.o\
	$(OBJDIR)/getopt.o\
	$(OBJDIR)/nsaccess.o\
	$(OBJDIR)/nsalloc.o\
	$(OBJDIR)/nsdump.o\
	$(OBJDIR)/nsnames.o\
	$(OBJDIR)/nsobject.o\
	$(OBJDIR)/nsparse.o\
	$(OBJDIR)/nssearch.o\
	$(OBJDIR)/nsutils.o\
	$(OBJDIR)/nswalk.o\
	$(OBJDIR)/nsxfobj.o\
	$(OBJDIR)/osunixxf.o\
	$(OBJDIR)/prexpress.o\
	$(OBJDIR)/prmacros.o\
	$(OBJDIR)/prscan.o\
	$(OBJDIR)/prutils.o\
	$(OBJDIR)/psargs.o\
	$(OBJDIR)/psloop.o\
	$(OBJDIR)/psobject.o\
	$(OBJDIR)/psopcode.o\
	$(OBJDIR)/psopinfo.o\
	$(OBJDIR)/psparse.o\
	$(OBJDIR)/psscope.o\
	$(OBJDIR)/pstree.o\
	$(OBJDIR)/psutils.o\
	$(OBJDIR)/pswalk.o\
	$(OBJDIR)/tbfadt.o\
	$(OBJDIR)/tbinstal.o\
	$(OBJDIR)/tbprint.o\
	$(OBJDIR)/tbutils.o\
	$(OBJDIR)/tbxface.o\
	$(OBJDIR)/utaddress.o\
	$(OBJDIR)/utalloc.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utcache.o\
	$(OBJDIR)/utcopy.o\
	$(OBJDIR)/utdebug.o\
	$(OBJDIR)/utdecode.o\
	$(OBJDIR)/utdelete.o\
	$(OBJDIR)/uterror.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utglobal.o\
	$(OBJDIR)/utinit.o\
	$(OBJDIR)/utlock.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utmisc.o\
	$(OBJDIR)/utmutex.o\
	$(OBJDIR)/utobject.o\
	$(OBJDIR)/utownerid.o\
	$(OBJDIR)/utpredef.o\
	$(OBJDIR)/utresrc.o\
	$(OBJDIR)/utstate.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/utxface.o\
	$(OBJDIR)/utxferror.o

INTERMEDIATES = \
	$(OBJDIR)/aslcompilerlex.c\
	$(OBJDIR)/aslcompilerparse.c\
	$(OBJDIR)/dtparserlex.c\
	$(OBJDIR)/dtparserparse.c\
	$(OBJDIR)/prparserlex.c\
	$(OBJDIR)/prparserparse.c

MISC = \
	$(OBJDIR)/aslcompiler.y.h\
	$(OBJDIR)/dtparser.y.h\
	$(OBJDIR)/prparser.y.h

#
# Flags specific to iASL compiler
#
CFLAGS += \
    -DACPI_ASL_COMPILER\
    -I$(ASL_COMPILER)\
    -I$(OBJDIR)

#
# Common Rules
#
include ../Makefile.rules


#
# Parser and Lexer - intermediate C files
#
$(OBJDIR)/aslcompilerlex.c :   $(ASL_COMPILER)/aslcompiler.l $(ASL_COMPILER)/aslsupport.l $(OBJDIR)/aslcompiler.y.h
	$(LEX) $(LFLAGS) -PAslCompiler -o$@ $(ASL_COMPILER)/aslcompiler.l

$(OBJDIR)/aslcompiler.y.h :    $(ASL_COMPILER)/aslcompiler.y
	$(YACC) $(YFLAGS) -pAslCompiler -o/dev/null --defines=$@ $<

$(OBJDIR)/aslcompilerparse.c : $(ASL_COMPILER)/aslcompiler.y
	$(YACC) $(YFLAGS) -pAslCompiler -o$@ --defines=/dev/null $<

$(OBJDIR)/dtparserlex.c :      $(ASL_COMPILER)/dtparser.l $(OBJDIR)/dtparser.y.h
	$(LEX) $(LFLAGS) -PDtParser -o$@ $<

$(OBJDIR)/dtparser.y.h :       $(ASL_COMPILER)/dtparser.y
	$(YACC) $(YFLAGS) -pDtParser -o/dev/null --defines=$@ $<

$(OBJDIR)/dtparserparse.c :    $(ASL_COMPILER)/dtparser.y
	$(YACC) $(YFLAGS) -pDtParser -o$@ --defines=/dev/null $<

$(OBJDIR)/prparserlex.c :      $(ASL_COMPILER)/prparser.l $(OBJDIR)/prparser.y.h
	$(LEX) $(LFLAGS) -PPrParser -o$@ $<

$(OBJDIR)/prparser.y.h :       $(ASL_COMPILER)/prparser.y
	$(YACC) $(YFLAGS) -pPrParser -o/dev/null --defines=$@ $<

$(OBJDIR)/prparserparse.c :    $(ASL_COMPILER)/prparser.y
	$(YACC) $(YFLAGS) -pPrParser -o$@ --defines=/dev/null $<


#
# Parsers and Lexers - final object files
#
# Cannot use the common compile warning flags since the C files are created
# by the utilities above and they are not necessarily ANSI C, etc.
#
$(OBJDIR)/aslcompilerlex.o :   $(OBJDIR)/aslcompilerlex.c
	$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

$(OBJDIR)/aslcompilerparse.o : $(OBJDIR)/aslcompilerparse.c
	$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

$(OBJDIR)/dtparserlex.o :      $(OBJDIR)/dtparserlex.c
	$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

$(OBJDIR)/dtparserparse.o :    $(OBJDIR)/dtparserparse.c
	$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

$(OBJDIR)/prparserlex.o :      $(OBJDIR)/prparserlex.c
	$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

$(OBJDIR)/prparserparse.o :    $(OBJDIR)/prparserparse.c
	$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

=== tests/aapits/asl/Makefile ===

ifndef ASL
ASL=../../../libraries/iasl
endif

SRCS=dsdt.asl     dsdt0.asl    dsdt1.asl    dsdt2.asl    gpev0000.asl \
     hdwr0015.asl hdwr0018.asl hdwr0019.asl hdwr0020.asl \
     hdwr0022.asl hndl0000.asl hndl0015.asl hndl0016.asl \
     hndl0038.asl hndl0115.asl init0030.asl init0032.asl init0034.asl \
     init0058.asl init0066.asl init0121.asl init1065.asl \
     nmsp0000.asl nmsp0010.asl nmsp0011.asl nmsp0012.asl \
     nmsp0013.asl nmsp0014.asl nmsp0015.asl nmsp0016.asl \
     nmsp0017.asl nmsp0018.asl nmsp0019.asl nmsp0020.asl \
     nmsp0021.asl nmsp0022.asl nmsp0023.asl nmsp0025.asl \
     nmsp0037.asl nmsp0038.asl nmsp0074.asl nmsp0089.asl \
     nmsp0126.asl rt0000.asl   rt0035.asl   rt0036.asl   ssdt1.asl \
     ssdt2.asl    init0059.asl tblm0037.asl tblm0047.asl\
	 tblm0058.asl hdwr0040.asl hdwr0041.asl

ASLFLAGS= -f

ALL : $(patsubst %.asl,%.aml,$(SRCS))
	@echo ASL compilation done!

%.aml :
	mkdir -p ../tmp/aml
	$(ASL) $(ASLFLAGS) $(subst .aml,.asl,$(@));\
	mv $(@) ../tmp/aml

clean : 
	rm -f $(patsubst %.asl,../tmp/aml/%.aml,$(SRCS))

=== tests/aslts/src/runtime/collections/complex/misc/Makefile ===
# misc

AMLMOD= misc
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/functional/descriptor/Makefile ===
# descriptor

AMLMOD= descriptor
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/functional/reference/Makefile ===
# reference

AMLMOD= reference
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== debian/changelog ===
acpica-unix (20140214-1ubuntu1) trusty; urgency=medium

  * debian/run-misc-tests.sh: Use dpkg-architecture instead of 'uname -m'

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 29 Mar 2014 17:00:31 -0600

acpica-unix (20140214-1) unstable; urgency=medium

  * Upgrade to latest upstream.
  * Remove temporary patch to fix aapits test suite Makefile.
  * Closes: #737804 -- FTBS on big endian arches was caused by a faulty
    warning message; added patch to fix.

 -- Al Stone <ahs3@debian.org>  Thu, 27 Feb 2014 20:12:53 -0700

acpica-unix (20140114-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Remove temporary patch for forgotten Makefile.
  * Add patch to fix aapits test suite Makefile.

 -- Al Stone <ahs3@debian.org>  Thu, 23 Jan 2014 16:10:00 -0700

acpica-unix (20131218-1) unstable; urgency=medium

  * Upgrade to latest upstream.
  * Update Standards-Version.
  * Ack of NMU.
  * Closes: #714425 -- new acpidump is as compatible as upstream can be
  * Closes: #731760 -- remove extraneous "/man1" from postinst script
  * Closes: #700169 -- include proper license in upstream tarball (I
    believe this has been fixed for awhile but please reopen if needed)
  * Closes: #707584 -- iasl output format changes will be handled on
    the seabios side, not in iasl
  * Add temporary patch since upstream forgot a Makefile in the tarball.

 -- Al Stone <ahs3@debian.org>  Mon, 06 Jan 2014 19:16:09 -0700

acpica-unix (20131115-1.1) unstable; urgency=medium

  * Non-maintainer upload.  Closes: #696211.
  * Add cross-compilation support.
  * Use dpkg-buildflags for hardening support.
  * Disable the test suite when DEB_BUILD_OPTIONS=nocheck is set.

 -- Steve Langasek <vorlon@debian.org>  Tue, 10 Dec 2013 06:39:51 +0000

acpica-unix (20131115-1) unstable; urgency=low

  * Update to latest upstream. 

 -- Al Stone <ahs3@debian.org>  Mon, 25 Nov 2013 15:31:42 -0700

acpica-unix (20130927-1) unstable; urgency=low

  * Update to latest upstream.

 -- Al Stone <ahs3@debian.org>  Tue, 08 Oct 2013 17:01:36 -0600

acpica-unix (20130823-2) unstable; urgency=low

  * Fix the run-misc-tests.sh script to enable running on s390x. 

 -- Al Stone <ahs3@debian.org>  Tue, 10 Sep 2013 20:41:19 -0600

acpica-unix (20130823-1) unstable; urgency=low

  * Update to latest upstream. 

 -- Al Stone <ahs3@debian.org>  Mon, 26 Aug 2013 13:36:15 -0600

acpica-unix (20130725-1) unstable; urgency=low

  * Update to latest upstream. 

 -- Al Stone <ahs3@debian.org>  Sun, 18 Aug 2013 15:02:45 -0600

acpica-unix (20130626-1) unstable; urgency=low

  * Update to latest upstream. 
  * Closes: bug#704822 -- properly clean up alternatives after purge;
    all the suggestions made in the bug have been applied
  * Closes: bug#714426 -- acpidump has been implemented for Linux
  * Closes: bug#703711 -- acpidump/acpixtract both use alternatives
  * Add in basic man page for acpidump
  * Enable running of the AAPITS tests

 -- Al Stone <ahs3@debian.org>  Wed, 24 Jul 2013 16:25:46 -0600

acpica-unix (20130517-1) unstable; urgency=low

  * New upstream version.
  * Add myself to Uploaders per maintainer.
  * Update patches (some no longer needed, some combined)

 -- Al Stone <ahs3@debian.org>  Tue, 28 May 2013 20:35:18 -0600

acpica-unix (20130328-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version.
  * Clean up lintian problems where possible.
  * Closes: bug#696211 -- now using dh with compat=9, which will
    include the proper build flag support by default
  * Closes: bug#700169 -- correct copyright file contents have been
    provided, and all source files contain the proper license info
    in them from upstream (obviating a need for a separate license file)
  * Add in provided watch file.
  * Closes: bug#704822 -- properly clean up alternatives after purge

 -- Al Stone <ahs3@debian.org>  Mon, 15 Apr 2013 16:32:40 -0600

acpica-unix (20130214-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Update changelog properly.
  * Closes: bug#653227 -- new upstream release of ACPICA tools
  * Closes: bug#588388 -- build all of the tools provided, not just iasl,
    and package into a single package of executables.  This will replace
    the previous iasl package.
  * Add patch to fix a test failure in name comparison on big-endian
    machines.

 -- Al Stone <ahs3@debian.org>  Fri, 22 Mar 2013 09:13:25 -0600

acpica-unix (20130214-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream (since the last attempt at NMU). 
  * Clarify the licensing: this is being released under GPLv2 as allowed
    under the original dual-licensing from Intel.
  * Corrected integer to pointer conversion resulting from an incorrect
    patch (caused FTBFS on ARM, other 32-bit arches).

 -- Al Stone <ahs3@debian.org>  Mon, 18 Feb 2013 14:44:41 -0700

acpica-unix (20130117-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Instead of using the git clone from a particular day, stick to
    using just the official released versions and patch as needed.
    This should simplify maintenance quite a bit.
  * Add basic man pages for everything.
  * Enable some basic testing.
  * Update patches as needed.

 -- Al Stone <ahs3@debian.org>  Wed, 06 Feb 2013 13:03:19 -0700

=== debian/control ===
Source: acpica-unix
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattia Dongili <malattia@debian.org>
Uploaders: Al Stone <ahs3@debian.org>
Build-Depends: debhelper (>= 9.0), flex, bison
Standards-Version: 3.9.5
Vcs-Git: git://github.com/acpica-unix.git
Vcs-Browser: https://github.com/acpica/acpica.git
Homepage: http://www.acpica.org

Package: acpica-tools
Architecture: any
Replaces: iasl (<< 20130214-0.1), acpidump (<< 20100513-4)
Breaks: iasl (<< 20130214-0.1), acpidump (<< 20100513-4)
Provides: iasl, acpidump
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACPICA tools for the development and debug of ACPI tables
 The ACPI Component Architecture (ACPICA) project provides an OS-independent
 reference implementation of the Advanced Configuration and Power Interface
 Specification (ACPI).  ACPICA code contains those portions of ACPI meant to
 be directly integrated into the host OS as a kernel-resident subsystem, and
 a small set of tools to assist in developing and debugging ACPI tables.
 .
 This package contains only the user-space tools needed for ACPI table
 development, not the kernel implementation of ACPI.  The following commands
 are installed:
    -- iasl: compiles ASL (ACPI Source Language) into AML (ACPI Machine
       Language), suitable for inclusion as a DSDT in system firmware.
       It also can disassemble AML, for debugging purposes.
    -- acpibin: performs basic operations on binary AML files (e.g.,
       comparison, data extraction)
    -- acpidump: write out the current contents of ACPI tables
    -- acpiexec: simulate AML execution in order to debug method definitions
    -- acpihelp: display help messages describing ASL keywords and op-codes
    -- acpinames: display complete ACPI name space from input AML
    -- acpisrc: manipulate the ACPICA source tree and format source files
       for specific environments
    -- acpixtract: extract binary ACPI tables from acpidump output (see
       also the pmtools package)

Package: iasl
Depends: acpica-tools, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package.  It can safely be removed.

Package: acpidump
Depends: acpica-tools, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package.  It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -Wall -fno-strict-aliasing

DESTDIR ?= debian/acpica-tools

VERSION = 20140214

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CC = $(DEB_HOST_GNU_TYPE)-gcc
else
	CC = gcc
endif


%:
	dh $@

override_dh_clean:
	dh_testdir
	dh_testroot

	# Commands to clean up after the build process.
	$(MAKE) clean
	rm -rf generate/unix/bin

	dh_clean

override_dh_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Commands to install the package into debian/acpica-tools
	install -m 755 generate/unix/bin/iasl $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpibin $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpidump \
		       $(DESTDIR)/usr/bin/acpidump-acpica
	install -m 755 generate/unix/bin/acpiexec $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpihelp $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpinames $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpisrc $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpixtract \
	               $(DESTDIR)/usr/bin/acpixtract-acpica

	install -m 0644 debian/iasl.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpibin.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpidump.1 \
			$(DESTDIR)/usr/share/man/man1/acpidump-acpica.1
	install -m 0644 debian/acpiexec.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpihelp.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpinames.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpisrc.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpixtract.1 \
	                $(DESTDIR)/usr/share/man/man1/acpixtract-acpica.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C $(CURDIR) check CC=$(CC) OPT_CFLAGS="$(CFLAGS)"
endif

override_dh_auto_build:
	dh_auto_build -- OPT_CFLAGS="$(CFLAGS)" CC=$(CC)

## acpica-unix 20140926

=== debian/changelog ===
acpica-unix (20140926-1) unstable; urgency=medium

  * Upgrade to latest upstream.
  * Refresh patches as needed.

 -- ahs3 <ahs3@debian.org>  Wed, 01 Oct 2014 15:30:54 -0600

acpica-unix (20140828-1) unstable; urgency=medium

  * Upgrade to latest upstream.
  * Refresh patches as needed.
  * Closes: #756838 -- re-enable build on big-endian systems (needed
    to add a patch to do so)

 -- Al Stone <ahs3@debian.org>  Fri, 29 Aug 2014 14:42:27 -0600

acpica-unix (20140724-1) unstable; urgency=medium

  * Upgrade to latest upstream.
  * Closes: #752950 -- refreshed patches so they apply properly
  * Refresh some of the patches.

 -- Al Stone <ahs3@debian.org>  Mon, 28 Jul 2014 14:47:02 -0600

acpica-unix (20140424-1) unstable; urgency=medium

  * Upgrade to latest upstream. 

 -- Al Stone <ahs3@debian.org>  Wed, 07 May 2014 14:30:05 -0600

acpica-unix (20140325-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Closes: #743011 -- don't rely on uname to determine word size; just
    used the patch supplied in the BTS

 -- Al Stone <ahs3@debian.org>  Mon, 07 Apr 2014 11:38:35 -0600

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20140214
+VERSION = 20140926
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## acpica-unix 20141107

=== debian/changelog ===
acpica-unix (20141107-1) unstable; urgency=medium

  * Upgrade to latest upsteam 
  * Refresh patches as needed.

 -- ahs3 <ahs3@debian.org>  Mon, 17 Nov 2014 18:06:06 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: acpica-unix
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattia Dongili <malattia@debian.org>
+Maintainer: Mattia Dongili <malattia@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
 Build-Depends: debhelper (>= 9.0), flex, bison
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20140926
+VERSION = 20141107
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -35,8 +35,6 @@
 	# Commands to clean up after the build process.
 	$(MAKE) clean
 	rm -rf generate/unix/bin
-
-	dh_clean
 
 override_dh_install:
 	dh_testdir

## acpica-unix 20150717

=== debian/changelog ===
acpica-unix (20150717-1ubuntu1) wily; urgency=medium

  * Fix tests (LP: #1483836)
    - Don't run aapits tests
    - filter results for innocuous unexpected warning messages

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 13 Aug 2015 18:55:56 -0500

acpica-unix (20150717-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.
  * Add new patch to correct AAPITS makefile after source file name changes

 -- ahs3 <ahs3@debian.org>  Wed, 05 Aug 2015 10:30:21 -0600

acpica-unix (20150619-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.  Patches for NFIT UUIDs, ARM GICs,
    and /dev/mem removed as no longer needed.

 -- ahs3 <ahs3@debian.org>  Tue, 30 Jun 2015 15:57:26 -0600

acpica-unix (20150515-2) unstable; urgency=medium

  * Replace the patch for systems with no /dev/mem with a more robust version;
    for now this will only affect arm64 systems

 -- ahs3 <ahs3@debian.org>  Wed, 03 Jun 2015 15:18:32 -0600

acpica-unix (20150515-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.
  * Add correction patch for NFIT UUIDs (from mailing list) 
  * Update Standards-Version to 3.9.6
  * Add patch from Linaro to remove reliance on /dev/mem for some tables.
  * Add patch to correct ARM GICs in MADT (from mailing list)
  * Add patch to fix some segfaults in AcpiDmCheckForSymbolicOpcode.

 -- ahs3 <ahs3@debian.org>  Fri, 22 May 2015 13:17:07 -0600

acpica-unix (20150410-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.

 -- ahs3 <ahs3@debian.org>  Mon, 13 Apr 2015 20:24:58 -0600

acpica-unix (20150408-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.

 -- ahs3 <ahs3@debian.org>  Wed, 08 Apr 2015 19:43:17 -0600

acpica-unix (20150204-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.

 -- ahs3 <ahs3@debian.org>  Mon, 02 Mar 2015 16:41:10 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: acpica-unix
 Section: devel
 Priority: optional
-Maintainer: Mattia Dongili <malattia@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattia Dongili <malattia@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
 Build-Depends: debhelper (>= 9.0), flex, bison
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://github.com/acpica-unix.git
 Vcs-Browser: https://github.com/acpica/acpica.git
 Homepage: http://www.acpica.org

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20141107
+VERSION = 20150717
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
